<form [formGroup]="form" novalidate>
  <div class="form-row ">
    <div class="offset-md-2 col-md-4 offset-lg-2 col-lg-4 col-xs-12 col-sm-12">
      <input type="text" 
        class="form-control" 
        name="Amount" 
        formControlName="Amount" 
        placeholder="AMOUNT" 
        [disableControl]="isLoading"
        currencyMask 
        [options]="currencyMaskOptions" />
    </div>
    <div class="col-md-4 col-lg-4 col-xs-12 col-sm-12">
      <input type="text" class="form-control" name="ResultAmount" formControlName="ResultAmount" readonly />
    </div>
  </div>
  <div class="form-row mt-2">
    <error-viewer class="offset-md-2 col-md-8 offset-lg-2 col-lg-8 col-xs-12 col-sm-12" [form]="form" [property]="'Amount'" [config]="{ name: 'Amount' }"></error-viewer>      
  </div>
  <div class="form-row mt-3">
    <button class="btn btn-primary offset-md-4 col-md-4 offset-lg-4 col-lg-4 col-xs-12 col-sm-12" (click)="calculate()" [disabled]="isLoading || form.invalid">
      <i class="fa fa-exchange-alt"></i> CALCULATE
    </button>
  </div>
</form>
